Skip to Content

Get the current account profile

Returns your identity in the organization authorized by your credential.

GET
/v1/organizations/current/profile

Returns your identity in the organization authorized by your credential. The ID remains stable across reconnects and display-name changes. Removing and re-adding your membership creates a new ID.

Authorization

apiKey
headerx-api-key<token>

Response Body

Success

application/json
  1. response
id*string

Opaque identity for your organization membership

name*string

Your display name

nickname*string

Your display name and organization name

Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.organizations.getProfile({});
Example Response
{
  "id": "string",
  "name": "string",
  "nickname": "string"
}

Related documentation